Skip to content

Disclosure⁠

Perform various operations for Symitar parameters.

Operations⁠

getDisclosureSelectFields⁠

POST

Execute the persistent ParameterService getDisclosureSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getDisclosureSelectFields
POST /nexum/627/persistent/parameter/getDisclosureSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllDisclosureFields": true,
    "DisclosureFields": {
      "ClosedEndDisclosureFormat": true,
      "DisabilityDescription": true,
      "FedLine1": [
        0
      ],
      "FedLine2": [
        0
      ],
      "JointDisabilityDescription": true,
      "JointLifeDescription": true,
      "SecLine1": [
        0
      ],
      "SecLine2": [
        0
      ],
      "SingleLifeDescription": true,
      "UseExtraAddress": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateDisclosureByID⁠

POST

Execute the persistent ParameterService updateDisclosureByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateDisclosureByID
POST /nexum/627/persistent/parameter/updateDisclosureByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "DisclosureFields": {
    "ClosedEndDisclosureFormat": 0,
    "DisabilityDescription": "string",
    "FedLine1": [
      {
        "EntryId": 0,
        "FedLine1": "string"
      }
    ],
    "FedLine2": [
      {
        "EntryId": 0,
        "FedLine2": "string"
      }
    ],
    "JointDisabilityDescription": "string",
    "JointLifeDescription": "string",
    "SecLine1": [
      {
        "EntryId": 0,
        "SecLine1": "string"
      }
    ],
    "SecLine2": [
      {
        "EntryId": 0,
        "SecLine2": "string"
      }
    ],
    "SingleLifeDescription": "string",
    "UseExtraAddress": true
  },
  "nxAttributes": {
    "customFields": {}
  }
}